Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.util
Class XMLCharDefs

    java.lang.Object
      com.novell.xml.util.XMLCharDefs

    public final class XMLCharDefs

extends Object

Utility class to provide XML character classification services

Method Summary
`static boolean` | `isXMLChar(int c)` determine if passed unicode character value meets XML 1.0 definition of a character
`static boolean` | `isXMLCombiningChar(char c)` examine unicode character value to see if character matches XML 1.0 'combining char' definition
`static boolean` | `isXMLDigit(char c)` examine unicode character value to see if character matches XML 1.0 'digit' definition
`static boolean` | `isXMLExtenderChar(char c)` examine unicode character value to see if character matches XML 1.0 'extender char' definition
`static boolean` | `isXMLLetter(char c)` examine unicode character value to see if meets XML 1.0 'letter' definition
`static boolean` | `isXMLNameChar(char c)` examine unicode character value to see if meets XML 1.0 'namechar' definition
`static boolean` | `isXMLWhitespace(char c)` examine passed unicode char value to see if is in XML 1.0 whitespace set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isXMLChar

    public static boolean isXMLChar(int c)

  determine if passed unicode character value meets XML 1.0 definition of a character

  Parameters:
    `c` - unicode character value to check
  Returns:
    true if value is XML character

### isXMLWhitespace

    public static boolean isXMLWhitespace(char c)

  examine passed unicode char value to see if is in XML 1.0 whitespace set

  Parameters:
    `c` - unicode character value
  Returns:
    true if character value is XML whitespace

### isXMLLetter

    public static boolean isXMLLetter(char c)

  examine unicode character value to see if meets XML 1.0 'letter' definition

  Parameters:
    `c` - character value
  Returns:
    true if character is XML 1.0 'letter'

### isXMLDigit

    public static boolean isXMLDigit(char c)

  examine unicode character value to see if character matches XML 1.0 'digit' definition

  Parameters:
    `c` - character value
  Returns:
    true if character is unicode 1.0 'digit'

### isXMLCombiningChar

    public static boolean isXMLCombiningChar(char c)

  examine unicode character value to see if character matches XML 1.0 'combining char' definition

  Parameters:
    `c` - character value
  Returns:
    true if character is unicode 1.0 'combining char'

### isXMLExtenderChar

    public static boolean isXMLExtenderChar(char c)

  examine unicode character value to see if character matches XML 1.0 'extender char' definition

  Parameters:
    `c` - character value
  Returns:
    true if character is unicode 1.0 'extender char'

### isXMLNameChar

    public static boolean isXMLNameChar(char c)

  examine unicode character value to see if meets XML 1.0 'namechar' definition

  Parameters:
    `c` - character value
  Returns:
    true if character is XML 'namechar'

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD